package bus.service;

import bus.model.dto.BStationInfoDto;
import bus.model.dto.BStationInfoPageDto;
import bus.model.vo.BStationInfoVo;
import bus.model.po.BStationInfoPo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-01 21:07:50
 **/
public interface BStationInfoService extends IService<BStationInfoPo> {


    /**
     * 详情
     * @param id
     * @return
     */
    BStationInfoDto getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(BStationInfoDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<BStationInfoDto> list(BStationInfoPageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(BStationInfoDto dto);

	/**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);
}
